Package com.independentsoft.office.word.tables

# Enum Class TableStyleConditionalFormattingType

java.lang.Object
java.lang.Enum<TableStyleConditionalFormattingType>
com.independentsoft.office.word.tables.TableStyleConditionalFormattingType

All Implemented Interfaces:
  `Serializable`, `Comparable<TableStyleConditionalFormattingType>`, `Constable`

public enum TableStyleConditionalFormattingType extends Enum<TableStyleConditionalFormattingType>
The Enum TableStyleConditionalFormattingType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BANDED_COLUMN`
  `BANDED_ROW`
  `BOTTOM_LEFT_CELL`
  `BOTTOM_RIGHT_CELL`
  `EVEN_COLUMN_STRIPE`
  `EVEN_ROW_STRIPE`
  `FIRST_COLUMN`
  `FIRST_ROW`
  `LAST_COLUMN`
  `LAST_ROW`
  `NONE`
  `TOP_LEFT_CELL`
  `TOP_RIGHT_CELL`
  `WHOLE_TABLE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TableStyleConditionalFormattingType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TableStyleConditionalFormattingType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BANDED_ROW

    public static final TableStyleConditionalFormattingType BANDED_ROW

  - ### BANDED_COLUMN

    public static final TableStyleConditionalFormattingType BANDED_COLUMN

  - ### EVEN_ROW_STRIPE

    public static final TableStyleConditionalFormattingType EVEN_ROW_STRIPE

  - ### EVEN_COLUMN_STRIPE

    public static final TableStyleConditionalFormattingType EVEN_COLUMN_STRIPE

  - ### FIRST_COLUMN

    public static final TableStyleConditionalFormattingType FIRST_COLUMN

  - ### FIRST_ROW

    public static final TableStyleConditionalFormattingType FIRST_ROW

  - ### LAST_COLUMN

    public static final TableStyleConditionalFormattingType LAST_COLUMN

  - ### LAST_ROW

    public static final TableStyleConditionalFormattingType LAST_ROW

  - ### TOP_RIGHT_CELL

    public static final TableStyleConditionalFormattingType TOP_RIGHT_CELL

  - ### TOP_LEFT_CELL

    public static final TableStyleConditionalFormattingType TOP_LEFT_CELL

  - ### BOTTOM_RIGHT_CELL

    public static final TableStyleConditionalFormattingType BOTTOM_RIGHT_CELL

  - ### BOTTOM_LEFT_CELL

    public static final TableStyleConditionalFormattingType BOTTOM_LEFT_CELL

  - ### WHOLE_TABLE

    public static final TableStyleConditionalFormattingType WHOLE_TABLE

  - ### NONE

    public static final TableStyleConditionalFormattingType NONE

- ## Method Details

  - ### values

    public static TableStyleConditionalFormattingType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TableStyleConditionalFormattingType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null